local HouseAddition = ...

-- Apply building asset processor
HouseAddition:registerAssetProcessor("models/core.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

HouseAddition:registerAssetId("models/core.fbx/Prefab/CoreBuildingPart", _HomePrefix .. "_CORE_BUILDING_PREFAB")

-- Register the Core part
HouseAddition:register({
	DataType = "BUILDING_PART",
	Id = _HomePrefix .. "_CORE_BUILDING_PART",
	Name = _HomePrefix .. "_CORE_BUILDING_NAME",
	Description = _HomePrefix .. "_CORE_BUILDING_DESC",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = _HomePrefix .. "_CORE_BUILDING_PREFAB"
	},
        IsVisibleWhenBuilt = false
})

-- Register the monument for manual setup
HouseAddition:register({
    Id = _HomePrefix .. "_MONUMENT",
    Name = _HomePrefix .. "_MONUMENT_NAME",
    Description = _HomePrefix .. "_MONUMENT_DESC",
    BuildingType = "MODS",
    DataType = "BUILDING",
    AssetCoreBuildingPart = _HomePrefix .. "_CORE_BUILDING_PART",
    BuildingPartSetList = {
		{
			Name = _HomePrefix .. "_PARTSETLIST_NAME",
	                BuildingPartList = {
--                            "BUILDING_PART_HOUSING_SERF_DENSITY_1",
--                            "BUILDING_PART_HOUSING_SERF_DENSITY_2",
--                            "BUILDING_PART_HOUSING_CITIZEN_DENSITY_1",
--                            "BUILDING_PART_HOUSING_CITIZEN_DENSITY_2",
		            _HomePrefix .. "_PLACEABLE_HOME2_PART",
		            _HomePrefix .. "_PLACEABLE_HOME3_PART",
		            _HomePrefix .. "_PLACEABLE_HOME4_PART",
		            _HomePrefix .. "_PLACEABLE_HOME5_PART",
		            _HomePrefix .. "_PLACEABLE_HOME6_PART",
		            _HomePrefix .. "_PLACEABLE_HOME11_PART"
                         }
                 }
    },
    RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
    },
    IsEditable = true
})

